/*
Copyright (C) 2009 Marco Michelino <michelinux@gmail.com>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef EXPLOSION_H
#define EXPLOSION_H

/* an exlosion is represented by EXPLOSION_IMAGES images each one is drawn 
   EXPLOSION_IMAGE_REPEAT times before passing to the next one */
#define EXPLOSION_IMAGES 2
#define EXPLOSION_IMAGE_REPEAT 5

/* inizialization for this module */
void init_explosion();

/* make sort of explosion sound */
void play_explosion();

/* draws an esplosion surrounding the object at given coords */
void draw_explosion(int x, int y, int width, int height, int image);

#endif

